All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sas.iom.orb
Enum ThreadPoolEvent.Type

    com.sas.iom.orb.ThreadPoolEvent.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ThreadPoolEvent.Type>

Enclosing class:
  ThreadPoolEvent

    public static enum ThreadPoolEvent.Type

ThreadPoolEvent type enumeration.

Enum Constant Summary
`TERMINATION`

Method Summary
`static ThreadPoolEvent.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ThreadPoolEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Enum Constant Detail

### TERMINATION

    public static final ThreadPoolEvent.Type TERMINATION

Method Detail

### values

    public static ThreadPoolEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ThreadPoolEvent.Type c : ThreadPoolEvent.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ThreadPoolEvent.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.